Distribution:	CCux
Packager:	Stefan Gottwald <gotti@ccux-linux.de>

Summary:	Real Time command line mp3 player.
Name:		mpg123
Version:	1.12.3
Release:	1
License:	GNU/GPL
URL:		http://www.mpg123.de
Group:		Sound
Source0:	%{name}-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
BuildArch:	i686

#Automatically resolved build dependencies
BuildRequires: alsa-lib-devel
BuildRequires: audiofile-devel
BuildRequires: esound-libs-devel
BuildRequires: glibc-devel
BuildRequires: jack-audio-connection-kit-devel
BuildRequires: libtool-devel
BuildRequires: pkg-config
BuildRequires: portaudio-devel
BuildRequires: pulseaudio-libs-devel
BuildRequires: SDL-devel

%description
Mpg123 is a fast, free and portable MPEG audio player for Unix.
It supports MPEG 1.0/2.0 layers 1, 2 and 3 ("mp3" files).
For full CD quality playback (44 kHz, 16 bit, stereo) a fast CPU
is required. Mono and/or reduced quality playback (22 kHz or 11 kHz)
is possible on slow CPUs (like Intel 486).
For information on the MP3 License, please visit: http://www.mpg123.de

%package	devel
Summary:	%{name} development headers.
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description	devel
Header and include files for developing applications with %{name}.

%prep
%setup -q -n %{name}-%{version} 

%build
./configure \
--prefix=%_prefix \
--mandir=%_mandir \
--with-cpu=x86 \
--with-audio=alsa,dummy,esd,jack,portaudio,pulse,sdl \
--with-optimization=0
# disabling optimizations prevents our OPTflags from being
# overridden by -O2
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/mpg123
%{_libdir}/libmpg123.so.*
%_libdir/mpg123
%{_mandir}/man1/mpg123.1.gz

%files devel
%defattr(-,root,root)
%{_includedir}/mpg123.h
%{_libdir}/libmpg123.la
%{_libdir}/libmpg123.so
%{_pkgconfig}/libmpg123.pc

%clean
rm -rf $RPM_BUILD_ROOT

%changelog
* Thu Jul 22 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.12.3-1
- Version update
* Thu Apr 01 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.12.1-1
- Version update
* Sun Feb 28 2010 Karsten Brockmann <arcam@ccux-linux.de> 1.10.1-1
- Version update
* Fri Jun 26 2009 Christian Wasem <wasem@ccux-linux.de> 1.8.1-1
- Version update
* Sat Jun 28 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4.3-1
- Version update
* Thu Apr 24 2008 Christian Wasem <wasem@ccux-linux.de> 1.4.2-2
- obsoletes man package
* Mon Apr 21 2008 Christian Wasem <wasem@ccux-linux.de> 1.4.2-1
- Version update
* Wed Apr 09 2008 Christian Wasem <wasem@ccux-linux.de> 1.4.1-1
- version update
* Mon Apr 07 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.4.0-1
- Version update
* Sat Mar 08 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.3.0-1
- Version update
* Thu Feb 21 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.1-1
- Version update
* Fri Feb 01 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.2.0-1
- Version update
* Wed Jan 16 2008 Karsten Brockmann <arcam@ccux-linux.de> 1.1.0-1
- Version update
* Sun Dec 30 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.1-1
- Version update
* Mon Dec 24 2007 Karsten Brockmann <arcam@ccux-linux.de> 1.0.0-1
- Version update
* Sun Nov 04 2007 Stefan Gottwald <gotti@ccux-linux.de> 0.68-1
- Version update
* Wed Aug 29 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.67-1
- Version update
* Wed Feb 07 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.65-1
- Version update
* Wed Jan 17 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.64-1
- Version update
* Sun Jan 14 2007 Karsten Brockmann <arcam@ccux-linux.de> 0.63-1
- Version update
* Wed Aug 30 2006 Karsten Brockmann <arcam@ccux-linux.de> 0.60-1
- Version update
* Tue Jan 24 2006 Christian Wasem <wasem@ccux-linux.de> 0.59s-2
- Tweaked specfile, added more description
* Sun Jan 22 2006 Stefan Gottwald <gotti@ccux-linux.de> 0.59s-1
- Initial Release
